Bug 1288416 - Please include nano in the list of default editors
Please include nano in the list of default editors
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
23
All All
unspecified Severity low
: ---
: ---
Assigned To: Václav Pavlín
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 02:05 EST by Sriram Ramkrishna
Modified: 2016-12-20 11:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:37:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sriram Ramkrishna 2015-12-04 02:05:13 EST
As a person who writes technical documentation to help guide new users it would be really beneficial if we could include nano as one of the editors in the base install.  This way, people don't have to learn vi or emacs which can be a little difficult for people new to Fedora.  While one could use gedit on their own files, when configuring a system, that becomes harder as you are forced to use the command line and use sudo to able to edit files.  It is also more consistent as we can use the same documentation for both server and workstation.

I understand that there is always limited space when creating the base image so that it fits into a standard 4G image.  It would be extremely beneficial we can include this.

sri
Comment 1 Ondrej Vasik 2015-12-04 11:00:52 EST
I'm sorry, but basesystem is not the right component for it. I will move this one to distribution - although it is probably something to be brought up on e.g. workstation WG mailing list.
Comment 2 Sriram Ramkrishna 2015-12-04 13:27:24 EST
Ah, my apologies.  It was a little difficult trying to figure out what component to target.  Thank you for moving it to the correct location.  I will remember that for next time.

Do you want me to subscribe to the list and bring it up there?
Comment 3 Fedora End Of Life 2016-11-24 08:57:40 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 11:37:06 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.